##### windows::basic_random_access_handle::read_some_at (2 of 2 overloads)

Read some data from the handle at the specified offset.

    template<
        typename MutableBufferSequence>
    std::size_t read_some_at(
        uint64_t offset,
        const MutableBufferSequence & buffers,
        asio::error_code & ec);

This function is used to read data from the random-access handle. The function call will block until one or more bytes of data has been read successfully, or until an error occurs.

###### Parameters

offset

  The offset at which the data will be read.

buffers

  One or more buffers into which the data will be read.

ec

  Set to indicate what error occurred, if any.

###### Return Value

The number of bytes read. Returns 0 if an error occurred.

###### Remarks

The read_some operation may not read all of the requested number of bytes. Consider using the `read_at` function if you need to ensure that the requested amount of data is read before the blocking operation completes.